from bot_data.abc.history_table_abc import HistoryTableABC


class KnownUserHistory(HistoryTableABC):
    def __init__(
        self,
        dc_id: int,
        deleted: bool,
        date_from: str,
        date_to: str,
        id=0,
    ):
        HistoryTableABC.__init__(self)

        self._known_user_id = id
        self._discord_id = dc_id

        self._deleted = deleted
        self._date_from = date_from
        self._date_to = date_to

    @property
    def id(self) -> int:
        return self._known_user_id

    @property
    def discord_id(self) -> int:
        return self._discord_id
