from cpl_query.extension import List
from discord import Guild, User


class Discord:
    def __init__(self, guilds: List[Guild], users: List[User]):
        self._guilds = guilds
        self._users = users

    @property
    def guilds(self) -> List[Guild]:
        return self._guilds

    @property
    def users(self) -> List[User]:
        return self._users
